> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get retrieves the AWS external ID for the tenant, used in IAM role trust policies for AWS connectors.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/settings/aws-external-id
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/settings/aws-external-id:
    get:
      tags:
        - AWS External ID Settings
      summary: Get
      description: >-
        Get retrieves the AWS external ID for the tenant, used in IAM role trust
        policies for AWS connectors.
      operationId: c1.api.settings.v1.AWSExternalIDSettings.Get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.settings.v1.GetAWSExternalIDResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AWSExternalIDSettings.Get(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetAWSExternalIDResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.awsExternalIDSettings.get();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.settings.v1.GetAWSExternalIDResponse:
      description: The GetAWSExternalIDResponse message.
      properties:
        awsExternalId:
          $ref: '#/components/schemas/c1.api.settings.v1.AWSExternalID'
      title: Get Aws External Id Response
      type: object
      x-speakeasy-name-override: GetAWSExternalIDResponse
    c1.api.settings.v1.AWSExternalID:
      description: >-
        AWSExternalID contains the tenant's external ID for AWS IAM role trust
        policies.
      properties:
        externalId:
          description: >-
            The external ID value to include in the AWS IAM role trust policy
            condition.
          readOnly: false
          type: string
      title: Aws External Id
      type: object
      x-speakeasy-entity: AWS_EXTERNAL_ID
      x-speakeasy-name-override: AWSExternalID
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````